Package org.eclipse.emf.compare.internal.merge

## Interface IMergeData

All Superinterfaces:
  `Adapter`

All Known Implementing Classes:
  `MergeDataImpl`

    public interface IMergeData
    extends Adapter

Interface implemented by `MergeDataImpl`. It helps to know the way of merge and the editable sides of a difference.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isLeftEditable()` Returns whether the left side of the comparison is editable.
`boolean` `isMirrored()` Returns whether the left and right sides are swapped, i.e., mirrored.
`boolean` `isRightEditable()` Returns whether the right side of the comparison is editable.
`void` `setLeftEditable​(boolean leftEditable)` Set whether the left side of the comparison is editable.
`void` `setMirrored​(boolean mirrored)` Sets whether the left and right sides are swapped, i.e., mirrored.
`void` `setRightEditable​(boolean rightEditable)` Set whether the right side of the comparison is editable.

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Method Detail

#### isLeftEditable

    boolean isLeftEditable()

Returns whether the left side of the comparison is editable.

Returns:
  true if the left side of the comparison is editable, false otherwise.

#### setLeftEditable

    void setLeftEditable​(boolean leftEditable)

Set whether the left side of the comparison is editable.

Parameters:
  `leftEditable` - whether the left side of the comparison is editable.

#### isRightEditable

    boolean isRightEditable()

Returns whether the right side of the comparison is editable.

Returns:
  true if the right side of the comparison is editable, false otherwise.

#### setRightEditable

    void setRightEditable​(boolean rightEditable)

Set whether the right side of the comparison is editable.

Parameters:
  `rightEditable` - whether the right side of the comparison is editable.

#### isMirrored

    boolean isMirrored()

Returns whether the left and right sides are swapped, i.e., mirrored.

Returns:
  true if the left and right sides are swapped, i.e., mirrored, false otherwise.

#### setMirrored

    void setMirrored​(boolean mirrored)

Sets whether the left and right sides are swapped, i.e., mirrored.

Parameters:
  `mirrored` - whether the left and right sides are swapped, i.e., mirrored, false otherwise.